Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:    

Description

Each users should have it's own "default activity". For example I will have "Project management" set as default and our coder will

have "Coder" set as default activity.

Questions is if this value will be set by user for himself, by admin for others, or how ;) Maybe both methods can be implemented and

added some new rights (user can change his default activity, user can change default activity for other users).

I have also idea about restricting activities to roles, which can add more idiot-proofness and it also simplify adding time by users,

because they will select from less activities than now.

What others think about this?

Related issues:

Related to Redmine - Feature #1605: Activity page to remember user's selectio... Closed 2008-07-09

Related to Redmine - Feature #573: Spend time and Activity enhancement New

Related to Redmine - Feature #29286: Add default spent time activity per role Closed

History

#1 - 2008-03-27 17:04 - Rocco Stanzione

+1.  Most of my time is "development", but it defaults to "administrative", presumably because it comes first alphabetically.

#2 - 2008-03-27 20:48 - Eric Davis

+1 I like allowing the user to set their default activity.  So on My Page, I can make "Development" my default avtivity.

I don't agree with restricting activities to roles.  Then you will end up with a matrix of who can do what, which would make setup harder.

#3 - 2008-03-28 11:30 - Ernad Husremovic

+1 It would be really helpful

#4 - 2011-04-18 15:34 - Alberto Soverchia

+1

Different users need different defaults for their activity page. Eventually, project defaults are useful too.

#5 - 2011-04-18 15:51 - Etienne Massip

- Target version set to Unplanned backlogs

Guess that default activity should be set per role.

#6 - 2011-05-31 11:05 - Radek Karban

+1

#7 - 2013-01-12 23:53 - Daniel Felix

+1 from me

#8 - 2013-01-21 14:29 - Pavel Vorobiev

+1
Etienne Massip wrote:

Guess that default activity should be set per role.

 i think so, too.

#9 - 2013-02-06 15:05 - Daniel Felix

Well this could be tricky. For example, you assign "development" as default activity and the user is on Project A which is holds the activity

"development", everything is okay. But how do you want to handle this on Project B which doesn't hold this activity?

Another suggestion could be to assign the role to a project and assign a default activity for this role in this project?

#10 - 2015-10-05 03:36 - Go MAEDA

- Related to Feature #1605: Activity page to remember user's selection of activities added

#11 - 2016-04-08 16:36 - Luiz Moura

+1

#12 - 2016-05-29 14:05 - Андрей Плетенев

+1 to restricting activities to roles. Why managers should see "Fixing" ? Why developers should see "Accounting"? etc. When there are a lot of roles

the activities list becomes long and confusing.

#13 - 2016-06-26 05:41 - Toshi MARUYAMA

- Related to Feature #573: Spend time and Activity enhancement added

#14 - 2018-07-27 01:05 - Marius BĂLTEANU

- Related to Feature #29286: Add default spent time activity per role added

#15 - 2018-08-11 15:13 - Marius BĂLTEANU

A patch that adds the option to define a default time entry activity for each role was added to #29286.
